Bug 23384 - [R300] Vertical purple line displayed on screen
Summary: [R300] Vertical purple line displayed on screen
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: 7.4 (2008.09)
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: xf86-video-ati maintainers
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2009-08-17 19:15 UTC by Bryce Harrington
Modified: 2009-12-07 13:44 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
IMAGE_130.jpg (141.59 KB, image/jpeg)
2009-08-17 19:15 UTC, Bryce Harrington
no flags Details
BootDmesg.txt (48.81 KB, text/plain)
2009-08-17 19:16 UTC, Bryce Harrington
no flags Details
XorgLog.txt (66.49 KB, text/plain)
2009-08-17 19:17 UTC, Bryce Harrington
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce Harrington 2009-08-17 19:15:59 UTC
Created attachment 28723 [details]
IMAGE_130.jpg

Forwarding this bug from Ubuntu reporter Angel Guzman Maeso:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/411448

[Problem]
[ATI][KMS][Karmic][R300] Vertical purple line displayed on screen

[Original Description]
Testing kms ppa from http://www2.bryceharrington.org:8080/drupal/node/86

The screen display a vertical purple line on the right. I attached a photo (normal screenshot dont capture this).

Architecture: i386
CurrentDmesg:
 [  205.430240] usbcore: registered new interface driver wacom
 [  205.430245] wacom: v1.51:USB Wacom Graphire and Wacom Intuos tablet driver
 [  205.657556] lib80211_crypt: registered algorithm 'WEP'
 [  214.860011] eth4: no IPv6 routers present
 [  776.692023] pan1: no IPv6 routers present
Date: Mon Aug 10 15:52:41 2009
DistroRelease: Ubuntu 9.10
MachineType: TOSHIBA 00000000000000000000
Package: xorg 1:7.4+3ubuntu5
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-5-generic root=UUID=590c22cb-5c99-4270-a154-4e6df62d1b4c ro locale=es_ES vga=792 radeon.modeset=1
ProcEnviron:
 PATH=(custom, user)
 LANG=es_ES.UTF-8ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.6.0~git20090805.ac3de85e-0ubuntu1
 libdrm2 2.4.12+git20090806.d74c67fb-0ubuntu1
 xserver-xorg-video-intel 2:2.8.0-0ubuntu2
 xserver-xorg-video-ati 1:6.12.99+git20090805.bd03977e-0ubuntu2
SourcePackage: xorg
Uname: Linux 2.6.31-5-generic i686
dmi.bios.date: 03/16/2006
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V1.60
dmi.board.name: EBQ10
dmi.board.vendor: TOSHIBA
dmi.board.version: Null
dmi.chassis.asset.tag: *
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV1.60:bd03/16/2006:svnTOSHIBA:pn00000000000000000000:pvr0000000000000000:rvnTOSHIBA:rnEBQ10:rvrNull:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: 00000000000000000000
dmi.product.version: 0000000000000000
dmi.sys.vendor: TOSHIBA
system: architecture:       i686kernel:             2.6.31-5-generic

[lspci]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M24 [Radeon Mobility X600] [1002:5462]
    	Subsystem: Toshiba America Info Systems Device [1179:ff04]
Comment 1 Bryce Harrington 2009-08-17 19:16:24 UTC
Created attachment 28724 [details]
BootDmesg.txt
Comment 2 Bryce Harrington 2009-08-17 19:17:06 UTC
Created attachment 28725 [details]
XorgLog.txt
Comment 3 Alex Deucher 2009-09-01 09:03:02 UTC
Does this also happen without KMS?
Comment 4 Jerome Glisse 2009-12-07 13:44:33 UTC
According to https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/411448/comments/24 it's fixed. Closing


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.